Loading...
Searching...
No Matches
RDKit::SubstanceGroup::AttachPoint Struct Reference

`#include <SubstanceGroup.h>`

## Public Member Functions

bool | operator== (const AttachPoint &other) const

## Public Attributes

unsigned int | aIdx
int | lvIdx
std::string | id

## Detailed Description

Data structure for SAP lines (see V3000 spec) lvIdx may not be set; this signaled with value -1

Definition at line 66 of file SubstanceGroup.h.

## Member Function Documentation

## operator==()

bool RDKit::SubstanceGroup::AttachPoint::operator== | ( | const AttachPoint & | other | ) | const

inline

Definition at line 70 of file SubstanceGroup.h.

References aIdx, id, and lvIdx.

## Member Data Documentation

## aIdx

unsigned int RDKit::SubstanceGroup::AttachPoint::aIdx

Definition at line 67 of file SubstanceGroup.h.

Referenced by operator==().

## id

std::string RDKit::SubstanceGroup::AttachPoint::id

Definition at line 69 of file SubstanceGroup.h.

Referenced by operator==().

## lvIdx

int RDKit::SubstanceGroup::AttachPoint::lvIdx

Definition at line 68 of file SubstanceGroup.h.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- SubstanceGroup.h